Page MenuHomePhabricator

upload by url of something that's not a url doesn't give error
Closed, ResolvedPublic

Description

I tried to upload by url, using url of "file:Balawing,_Junrey_pronunciation.jpg"

Expected behaviour: Some sort of error about it being not a url (or perhaps whining about how file: isn't an allowed url schema)

Actual behaviour: upload form re-loaded without any indication what went wrong.


Version: 1.20.x
Severity: normal

Details

Reference
bz32361

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:01 AM
bzimport set Reference to bz32361.
Bawolff created this task.Nov 11 2011, 3:53 PM

Trying to find out what "upload by URL" is I found
http://blog.wikimedia.org/2009/03/21/upload-by-url-for-testwikipediaorg/ but "The default configuration limits URL uploads to sysops, so for now you’ll need to be a sysop on Test Wikipedia to try it out."

I'm an admin on https://test2.wikipedia.org/wiki/Special:Upload but there is no such option, only uploading a local file.

Bawolff: On which wikisite is this, in case you remember?

This was on my personal test wiki (importing images from commons via url is much easier than download and reupload. I needed the images locally to debug file metadata bugs)

You are now an admin on test.wikipedia.org which has feature enabled. If you go to special:upload you should see the upload by url box.

This bug might be reflective of larger issues with error handling in old upload form. I remember hearing about other errors (like post requests without a file or server misconfigs) manifesting like this, but that was a long time ago so things may have changed

Change 139696 had a related patch set uploaded by TheDJ:
Upload: Display an error to the user on invalid wpUploadFileURL

https://gerrit.wikimedia.org/r/139696

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:32 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:32 PM

Change 139696 had a related patch set uploaded (by Bartosz Dziewoński):
UploadFromUrl: Display an error to the user on invalid wpUploadFileURL

https://gerrit.wikimedia.org/r/139696

Change 139696 merged by Bartosz Dziewoński:
UploadFromUrl: Display an error to the user on invalid wpUploadFileURL

https://gerrit.wikimedia.org/r/139696

matmarex closed this task as Resolved.Sep 23 2015, 3:22 PM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.